ur_rna.RNAstructureUI.windows

## Class SequenceDisplayWindow.SoundPlayer

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.SequenceDisplayWindow.SoundPlayer

- Enclosing class:
    SequenceDisplayWindow

      private class SequenceDisplayWindow.SoundPlayer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.io.InputStream` | `_currentClip`
    `private javax.sound.sampled.Clip` | `_line`
    `private boolean` | `_paused`
    `private boolean` | `_playing`
    `private java.util.Deque<java.io.InputStream>` | `_queue`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `SoundPlayer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private javax.sound.sampled.Clip` | `createLine(javax.sound.sampled.AudioFormat format)`
    `boolean` | `isPlaying()`
    `void` | `pause(boolean pause)`
    `void` | `play(java.io.InputStream input)`
    `private void` | `playNext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _currentClip

          private java.io.InputStream _currentClip

    - #### _line

          private javax.sound.sampled.Clip _line

    - #### _paused

          private boolean _paused

    - #### _playing

          private boolean _playing

    - #### _queue

          private final java.util.Deque<java.io.InputStream> _queue

  - ### Constructor Detail

    - #### SoundPlayer

          private SoundPlayer()

  - ### Method Detail

    - #### createLine

          private javax.sound.sampled.Clip createLine(javax.sound.sampled.AudioFormat format)

    - #### isPlaying

          public boolean isPlaying()

    - #### pause

          public void pause(boolean pause)

    - #### play

          public void play(@Nullable
                           java.io.InputStream input)

    - #### playNext

          private void playNext()